<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width,initial-scale=1">
	<title>บ้านนายดิน </title>
	<!-- Favicon icon -->
	<link rel="icon" type="image/png" sizes="16x16" href="./images/favicon.png">
	<link href="/vendor/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet">
	<link href="/css/style.css" rel="stylesheet">
	<script src="https://unpkg.com/cart-localstorage@1.1.4/dist/cart-localstorage.min.js" type="text/javascript"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<style>
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
    }
</style>
<body>

	<!--*******************
        Preloader start
    ********************-->
	<div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>
	<!--*******************
        Preloader end
    ********************-->


	<!--**********************************
        Main wrapper start
    ***********************************-->
	<div id="main-wrapper">


		<!--**********************************
            Content body start
        ***********************************-->
		<!-- <div class=""> -->
		<div class="container-fluid" style="max-width: 800px;">
			<div class="row page-titles mx-0" style="display: fix;">
				<div class="col-sm-6 p-md-0 col-9">
					<div class="welcome-text">
						<h4 class="text-success">Hi, welcome to Ban Nay Din Shop!</h4>
						<p class="mb-0">สวัสดี, ยินดีต้อนรับสู่ บ้านนายดิน!</p>
					</div>
				</div>
				<div class="col-sm-6 col-3 p-md-0 justify-content-end mt-2 d-flex">
					<ol class="breadcrumb">
						<a class="btn btn-success sharp ml-2" style="color:white" onclick="ScrolltoCart()">
							<i class="fa fa-shopping-cart" aria-hidden="true"></i> 
						</a>
					</ol>
				</div>
			</div>
			<!-- row -->
			<div class="row">
				<div class="col-lg-12">
					<div class="profile card card-body px-3 pt-3 pb-0">
						<div class="profile-head">
							<div class="photo-content">
								<img src="images/profile/âPngtreeâcartoon cute clouds rainbow_2978612.png" class="img-fluid rounded-circle" alt="" style="width:100%;height:350px">
							</div>
							<div class="profile-info">
								<div class="profile-photo">
									<img src="images/profile/âPngtreeâcute cartoon boy character with_4084354.png" class="img-fluid rounded-circle" alt="">
								</div>
								<div class="profile-details">
									<div class="profile-name px-3 pt-3">
										<h4 class="text-success mb-0">บ้านนายดิน</h4>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/1.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											
											<div style="height: 40px;">
												<h4>หนังสือ Harry Potter and the Sorcerer's Stone</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry1',1, 1);" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry1" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry1',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
								<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/2.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											<div style="max-height: 40px;">
												<h4>หนังสือ Harry Potter and the Chamber of Secrets</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry2',1, 1);" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry2" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry2',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
								<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/3.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											<div style="max-height: 40px;">
												<h4>หนังสือ Harry Potter and the Prisoner of Azkaban</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry3',1,1)" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry3" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry3',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
								<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/4.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											<div style="max-height: 40px;">
												<h4>หนังสือ Harry Potter and the Goblet of Fire</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry4',1,1)" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry4" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry4',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
                                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/5.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											<div style="max-height: 40px;">
												<h4>หนังสือ Harry Potter and the Order of the Phoenix</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry5',1,1)" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry5" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry5',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
                                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/6.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											<div style="max-height: 40px;">
												<h4>หนังสือ Harry Potter and the Half-Blood Prince</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry6',1,1)" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry6" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry6',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
                                <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
									<div class="new-arrival-product mb-3">
										<div class="new-arrivals-img-contnent">
											<img class="img-fluid" src="images/harry/7.jpeg" alt="">
										</div>
										<div class="new-arrival-content mt-1">
											<div style="max-height: 40px;">
												<h4>หนังสือ Harry Potter and the Deathly Hallows</h4>
											</div>
											<span class="price">฿100.00</span>
										</div>
										<div class="row px-0 mt-2 text-center">
											<div class="col-4">
												<a class="btn btn-outline-light btn-sm" onclick="delQty('harry7',1,1)" style="color: black;">-</a>
											</div>
											<div class="col-4" style="padding: 0px;">
												<input type="number" class="form-control" id="harry7" onblur="ChangeValue(this.id,this.value,2)" name="01" value="0" style="text-align: center;">
											</div>
											<div class="col-4" style="padding: 0px;">
												<a class="btn btn-outline-light btn-sm" onclick="addQty('harry7',1,1)" style="color: black;">+</a>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-12">
					<div class="card" id="Cart">
						<div class="card-header">
							<h4 class="card-title">รถเข็นสินค้า</h4>
						</div>
						<div class="card-body">
							<!-- แสดงข้อมูลในตระกร้าสินค้า -->
							<table class="table">
								<tbody class="cart">
								</tbody>
								<tfoot>
									<td class="text-right" colspan="5" style="font-size: 18px;">ยอดรวม : <strong class="total" style="color: #93b83d; font-size: 25px;"></strong></td>
									<td></td>
								</tfoot>
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="row" id="#Cart">
				<div class="col-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title">ที่อยู่ผู้รับ</h4>
						</div>
						<div class="card-body">
							<div class="basic-form">
								<form>
									<div class="row">
										<div class="input-group mb-3 input-black-o col-lg-6 col-sm-12">
											<div class="input-group-prepend">
												<span class="input-group-text">ชื่อ-นามสกุล</span>
											</div>
											<input type="text" id="Name" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-lg-6 col-sm-12">
											<div class="input-group-prepend">
												<span class="input-group-text">เบอร์โทร</span>
											</div>
											<input type="text" id="numberphone" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-12">
											<div class="input-group-prepend">
												<span class="input-group-text">ที่อยู่</span>
											</div>
											<input type="text" id="address" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-lg-6 col-sm-12">
											<div class="input-group-prepend">
												<span class="input-group-text">ตำบล / แขวง</span>
											</div>
											<input type="text" id="district" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-lg-6 col-sm-12">
											<div class="input-group-prepend">
												<span class="input-group-text">อำเภอ / เขต</span>
											</div>
											<input type="text" id="amphoe" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-lg-6 col-sm-12">
											<div class="input-group-prepend">
												<span class="input-group-text">จังหวัด</span>
											</div>
											<input type="text" id="province" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-lg-6 col-sm-12">
											<div class="input-group-prepend">
												<span class="input-group-text">รหัสไปรษณีย์</span>
											</div>
											<input type="text" id="zipcode" class="form-control">
										</div>
										<div class="input-group mb-3 input-black-o col-12">
											<div class="input-group-prepend">
												<span class="input-group-text">อีเมลล์</span>
											</div>
											<input type="text" id="email" class="form-control">
										</div>
									</div>
									<h4 class="mt-2">การชำระเงิน</h4>
									<hr />
									<div class="row mt-2 mb-2">
										<div class="col-12">
											<div class="form-check">
												<input class="form-check-input" type="radio" name="option1"
													value="option1" id="option1" checked>
												<label class="form-check-label" for="option1">
													เก็บเงินปลายทาง
													<img src="https://www.xfitwatch.com/order/assets/img/icon_cod.jpg">
												</label>
											</div>
										</div>
									</div>
									<hr />
									<div class="row">
										<button type="button"
											class="btn btn-rounded btn-primary col-12 mt-2" onclick="Buyproduct()">ส่งคำสั่งซื้อ</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- </div> -->
		<!--**********************************
            Content body end
        ***********************************-->


		<!--**********************************
            Footer start
        ***********************************-->
		<div class="text-center">
			<div class="copyright">
				<p>Copyright © by <a href="" target="_blank">Ban Nay Din </a> 2023</p>
			</div>
		</div>
		<!--**********************************
            Footer end
        ***********************************-->

		<!--**********************************
           Support ticket button start
        ***********************************-->

		<!--**********************************
           Support ticket button end
        ***********************************-->


	</div>
	<!--**********************************
        Main wrapper end
    ***********************************-->

	<!--removeIf(production)-->

	<!--**********************************
        Scripts
    ***********************************-->
	<!-- Required vendors -->
	<script src="/vendor/global/global.min.js"></script>
	<script src="/vendor/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
	<script src="/vendor/chart.js/Chart.bundle.min.js"></script>
	<script src="/js/custom.min.js"></script>
	<script src="/js/deznav-init.js"></script>
	<!-- Apex Chart -->
    <script src="https://cdn.jsdelivr.net/npm/axios@1.1.2/dist/axios.min.js"></script>
	<script src="/vendor/apexchart/apexchart.js"></script>
	<script>
		const book =[{
			id:'harry1',
			name:'หนังสือ Harry Potter and the Sorcerer\'s Stone',
			price:100
		},{
			id:'harry2',
			name:'หนังสือ Harry Potter and the Chamber of Secrets',
			price:100
		},{
			id:'harry3',
			name:'หนังสือ Harry Potter and the Prisoner of Azkaban',
			price:100
		},{
			id:'harry4',
			name:'หนังสือ Harry Potter and the Goblet of Fire',
			price:100
		},{
			id:'harry5',
			name:'หนังสือ Harry Potter and the Order of the Phoenix',
			price:100
		},{
			id:'harry6',
			name:'หนังสือ Harry Potter and the Half-Blood Prince',
			price:100
		},{
			id:'harry7',
			name:'หนังสือ Harry Potter and the Deathly Hallows',
			price:100
		}]
		function renderCart(items) {
            const $cart = document.querySelector(".cart")
            const $total = document.querySelector(".total")
            $cart.innerHTML = items.map((item) =>
                `
                <tr>
                    <td class="mt-2">${item.name}</td>
                    <td style="width: 20px;"> 
						<button type="button" class="btn btn-block btn-sm btn-outline-primary"
                        onClick="delQty('${item.id}',1,1)">-</button>
                    </td>
                    <td class="text-center" style="margin-top:20px;">${item.quantity}</td>
                    <td style="width: 20px;"> 
						<button type="button" class="btn btn-block btn-sm btn-outline-primary"
                        onClick="addQty('${item.id}',1,1)">+</button>
                    </td>
                    <td class="text-right" style="margin-top:20px;">฿${item.price}</td>
                </tr>`

            ).join("")

            $total.innerHTML = "฿" + cartLS.total()
            
        }
        var Cart = cartLS.list();
            Cart.map((item)=>{
                let Id = item.id
                $(`#${Id}`).val(item.quantity)
            }) 
        renderCart(cartLS.list())
        cartLS.onChange(renderCart)
	</script>
	<script>
        function addQty(Id,quantity,type){
            let product = $(`#${Id}`).val();
            if(product < 0 || product == ''){
                $(`#${Id}`).val(0)
            }
            if(product >= 0){
                if(type == 1){
                    product = parseInt(product)+ 1 ;
                    $(`#${Id}`).val(parseInt(product));
                }
            }
			book.forEach(element =>{
				if(Id == element.id){
					cartLS.add({id:element.id,name:element.name,price:element.price});
				}
			})
        }
        function delQty(Id,quantity,type){
            let product = $(`#${Id}`).val();
            product = parseInt(product) - parseInt(quantity)
            $(`#${Id}`).val(parseInt(product)).change()
            if(type == 1){
				if($(`#${Id}`).val() < 0 ){
					$(`#${Id}`).val(0).change()
				}
            }
            cartLS.quantity(Id,-1);
            
        }
        function Buyproduct(){
            let check = true
            var cartlist = cartLS.list()
            if(($('#Name').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกชื่อ-นามสกุล','','warning')}
            else if(($('#numberphone').val()).trim() == '' || $('#numberphone').val().length < 9 || $('#numberphone').val().length > 10){check = false;Swal.fire('กรุณากรอกเบอร์ให้ถูกต้อง','','warning')}
            else if(($('#address').val()).trim() == '' || ($('#district').val()).trim() == '' || ($('#amphoe').val()).trim() == '' ||
            ($('#province').val()).trim() == '' || ($('#zipcode').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกที่อยู่ให้ถูกต้อง','','warning')}
            else if(cartlist.length == 0){
				check = false
				Swal.fire('กรุณาเลือกสินค้า','','warning')
			}
            if(check){
                let data = new FormData()
                data.append('Name',($('#Name').val()).trim())
                data.append('Numberphone',($('#numberphone').val()).trim())
                data.append('Address',($('#address').val()).trim())
                data.append('District',($('#district').val()).trim())
                data.append('Amphoe',($('#amphoe').val()).trim())
                data.append('Province',($('#province').val()).trim())
                data.append('Zipcode',($('#zipcode').val()).trim())
                data.append('Email',($('#email').val()).trim())
                axios.post('/senddata',{Data:Object.fromEntries(data),Cart:cartlist}).then((result)=>{
                    if(result.data.Message === 'success'){
                        window.location = '/confirm'
                    }
                })
            }
        }
		function ChangeValue(Id,value,type){
			//console.log(Id, value,type);
			if(type == 2){
				let ProductQty = $(`#${Id}`).val()
				let count_value = parseInt(value)
				if(count_value <= 0 || count_value == '' || ProductQty == NaN || ProductQty == ''){
					if(count_value == 0){
						cartLS.remove(Id)
					}else if(cartLS.list().length == 0){
						$(`#${Id}`).val(0)
					}else{
						$(`#${Id}`).val(cartLS.get(Id).quantity)
					}
				}else{
					$(`#${Id}`).val(count_value).change()
					if(cartLS.get(Id) == undefined){
						book.forEach(element =>{
							if(Id == element.id){
								cartLS.add({id:element.id,name:element.name,price:element.price})
								if(count_value != 0){
									cartLS.update(Id,'quantity',count_value)
								}else{
									cartLS.remove(Id)
								}
							}
						})
					}else{
						cartLS.update(Id,'quantity',count_value)
					}
				}
			}
			
		}
        const ScrolltoCart = () => {
            const Present = document.getElementById('Cart')
            //console.log(Present);
            var rect = Present.getBoundingClientRect()
            window.scrollTo(rect.x, rect.y);
        }
    </script>





</body>

</html>